.\" Manpage for Siril 1.0
.TH SIRIL "1" "March 2022" "siril 1.0" "User Commands"
.SH NAME
siril \- image processing tool for astronomy and others
.SH SYNOPSIS
Siril GUI
 siril <file>             Start Siril with file.
  
Siril CLI
 siril-cli [-i conf_file] [-f] [-v] [-c] [-h] [-p] [-d working_directory] [-s script_file] [image_file_to_open]
.SH DESCRIPTION
\fBSiril\fP is an image processing tool specially tailored for noise reduction and improving the signal/noise ratio of an image from multiple captures, as required in astronomy. \fBSiril\fP can align, stack and enhance pictures from various file formats, even image sequences (movies and SER files). It makes use of OpenMP, supports all the cameras supported by libraw, and carries out its calculations in a high precision 32-bit floating point engine.
.SH OPTIONS
.IP -i
Starts \fBSiril\fP with configuration file which path is given in conf_file
.IP -f
(or \fB\-\-format\fR) Prints all supported image input formats, depending on the libraries detected at compile-time
.IP -v
(or \fB\-\-version\fR) Prints program name and version and exits
.IP -c
(or \fB\-\-copyright\fR) Prints copyright and exits
.IP -h
(or \fB\-\-help\fR) Short usage help
.IP -p
Starts \fBSiril\fP without the graphical user interface and use the named pipes to accept commands and print logs and status information. On POSIX systems, the named pipes are created in /tmp/siril_commands.in and /tmp/siril_commands.out
.IP -d
(or \fB\-\-directory\fR) Setting argument in cwd
.IP -s
(or \fB\-\-script\fR) Starts \fBSiril\fP without the graphical user interface and run a script instead. Scripts are text files that contain a list of commands to be executed sequentially. In these files, lines starting with a # are considered as comments.
.IP image_file_to_open
Open an image or sequence file right after start-up
.SH FILES
.I ~/.config/siril/siril.cfg
.RS
User preferences. Overridden by the
.B -i
option.
.RE
.I ~/.siril/siril.css
.RS
The style sheet used to change colors of the graphical user interface. This is useful for customization or if a GTK theme is incompatible with some colored elements of \fBSiril\fP.
.SH LINKS
 Website: https://www.siril.org/
 Documentation: https://free-astro.org/siril_doc-en/
 Forum: https://discuss.pixls.us/siril
 Code and bug reports: https://gitlab.com/free-astro/siril/issues
.SH AUTHOR
 Vincent Hourdin <debian-siril at free-astro.org>
 Cyril Richard <cyril at free-astro.org>
 Cécile Melis <cissou8 at gmail.com>
